Storage Node installation fails


  • Moderator

    Fedora 23 minimal, fully updated.
    FOG r6142, svn 4719

    the DHCP part of the storage node installation fails.

    It says it’s installing it every time I’ve tried, and says “OK”, but the fact is that it’s already installed. When I tried installing it manually, the system said “already installed”.

    Here’s the installation output:

       +------------------------------------------+
       |     ..#######:.    ..,#,..     .::##::.  |
       |.:######          .:;####:......;#;..     |
       |...##...        ...##;,;##::::.##...      |
       |   ,#          ...##.....##:::##     ..:: |
       |   ##    .::###,,##.   . ##.::#.:######::.|
       |...##:::###::....#. ..  .#...#. #...#:::. |
       |..:####:..    ..##......##::##  ..  #     |
       |    #  .      ...##:,;##;:::#: ... ##..   |
       |   .#  .       .:;####;::::.##:::;#:..    |
       |    #                     ..:;###..       |
       |                                          |
       +------------------------------------------+
       |      Free Computer Imaging Solution      |
       +------------------------------------------+
       |  Credits: http://fogproject.org/Credits  |
       |       http://fogproject.org/Credits      |
       |       Released under GPL Version 3       |
       +------------------------------------------+
    
    
       Version: 6142 Installer/Updater
    
      What version of Linux would you like to run the installation for?
    
              1) Redhat Based Linux (Redhat, CentOS, Mageia)
              2) Debian Based Linux (Debian, Ubuntu, Kubuntu, Edubuntu)
              3) Arch Linux
    
      Choice: [1] 
    
    
    
      Starting Redhat based Installation
    
    
      FOG Server installation modes:
          * Normal Server: (Choice N) 
              This is the typical installation type and
              will install all FOG components for you on this
              machine.  Pick this option if you are unsure what to pick.
    
          * Storage Node: (Choice S)
              This install mode will only install the software required
              to make this server act as a node in a storage group
    
      More information:  
         http://www.fogproject.org/wiki/index.php?title=InstallationModes
    
      What type of installation would you like to do? [N/s (Normal/Storage)] s
    
      What is the IP address to be used by this FOG Server? [192.168.1.7]
    
      Would you like to change the default network interface from ens3?
      If you are not sure, select No. [y/N] 
    
      What is the IP address or hostname of the FOG server running 
      the fog database?  This is typically the server that also 
      runs the web server, dhcp, and tftp.  IP or Hostname: 192.168.1.10
    
      What is the username to access the database?
      This information is storage in the management portal under 
      'FOG Configuration' -> 
      'FOG Settings' -> 
      'FOG Storage Nodes' -> 
      'FOG_STORAGENODE_MYSQLUSER'. Username [fogstorage]: 
    
      What is the password to access the database?  
      This information is storage in the management portal under 
      'FOG Configuration' -> 
      'FOG Settings' -> 
      'FOG Storage Nodes' -> 
      'FOG_STORAGENODE_MYSQLPASS'.  Password: fs46173892848
    
       ######################################################################
       #     FOG now has everything it needs for this setup, but please     #
       #   understand that this script will overwrite any setting you may   #
       #   have setup for services like DHCP, apache, pxe, tftp, and NFS.   #
       ######################################################################
       # It is not recommended that you install this on a production system #
       #        as this script modifies many of your system settings.       #
       ######################################################################
       #             This script should be run by the root user.            #
       #      It will prepend the running with sudo if root is not set      #
       ######################################################################
       #           ** Notice ** FOG is difficult to setup securely          #
       #        SELinux and IPTables are usually asked to be disabled       #
       #           There have been strides in adding capabilities           #
       #          The recommendations would now be more appropriate         #
       #    to set SELinux to permissive and to disable firewall for now.   #
       #  You can find some methods to enable SELinux and maintain firewall #
       #   settings and ports. If you feel comfortable doing so please do   #
       ######################################################################
       #            Please see our wiki for more information at:            #
       ######################################################################
       #             https://wiki.fogproject.org/wiki/index.php             #
       ######################################################################
    
     * Here are the settings FOG will use:
     * Base Linux: Redhat
     * Detected Linux Distribution: Fedora
     * Server IP Address: 192.168.1.7
     * Interface: ens3
     * Installation Type: Storage Node
     * Node IP Address: 192.168.1.7
     * MySQL Database Host: 192.168.1.10
     * MySQL Database User: fogstorage
    
    
     * Are you sure you wish to continue (Y/N) y
    
     * Installation Started
    
     * Installing required packages, if this fails
     | make sure you have an active internet connection.
    
     * Adding needed repository....................................OK
     * Preparing Package Manager...................................OK
     * Packages to be installed:
    
            httpd php php-cli php-common php-gd mysql mysql-server dhcp tftp-server nfs-utils vsftpd net-tools wget xinetd tar gzip make m4 gcc gcc-c++ lftp php-mysqlnd curl php-mcrypt php-mbstring mod_ssl php-fpm php-process
    
    
     * Skipping package: httpd.....................................(Already Installed)
     * Skipping package: php.......................................(Already Installed)
     * Skipping package: php-cli...................................(Already Installed)
     * Skipping package: php-common................................(Already Installed)
     * Skipping package: php-gd....................................(Already Installed)
     * Skipping package: mariadb...................................(Already Installed)
     * Skipping package: mariadb-server............................(Already Installed)
     * Installing package: dhcp....................................OK
     * Skipping package: tftp-server...............................(Already Installed)
     * Skipping package: nfs-utils.................................(Already Installed)
     * Skipping package: vsftpd....................................(Already Installed)
     * Skipping package: net-tools.................................(Already Installed)
     * Skipping package: wget......................................(Already Installed)
     * Skipping package: xinetd....................................(Already Installed)
     * Skipping package: tar.......................................(Already Installed)
     * Skipping package: gzip......................................(Already Installed)
     * Skipping package: make......................................(Already Installed)
     * Skipping package: m4........................................(Already Installed)
     * Skipping package: gcc.......................................(Already Installed)
     * Skipping package: gcc-c++...................................(Already Installed)
     * Skipping package: lftp......................................(Already Installed)
     * Skipping package: php-mysqlnd...............................(Already Installed)
     * Skipping package: curl......................................(Already Installed)
     * Skipping package: php-mcrypt................................(Already Installed)
     * Skipping package: php-mbstring..............................(Already Installed)
     * Skipping package: mod_ssl...................................(Already Installed)
     * Skipping package: php-fpm...................................(Already Installed)
     * Skipping package: php-process...............................(Already Installed)
     * Updating packages as needed.................................OK
    
     * Confirming package installation
    
     * Checking package: httpd.....................................OK
     * Checking package: php.......................................OK
     * Checking package: php-cli...................................OK
     * Checking package: php-common................................OK
     * Checking package: php-gd....................................OK
     * Checking package: mariadb...................................OK
     * Checking package: mariadb-server............................OK
     * Checking package: dhcp......................................Failed!
    

    Here is the error log:

    /usr/bin/lsb_release
    /usr/bin/systemctl
    grep: /opt/fog/.fogsettings: No such file or directory
    /usr/bin/dnf
    ln: failed to create symbolic link ‘/usr/lib/systemd/system/mysql.service’: File exists
    ln: failed to create symbolic link ‘/usr/lib/systemd/system/mysqld.service’: File exists
    ln: failed to create symbolic link ‘/etc/systemd/system/mysql.service’: File exists
    ln: failed to create symbolic link ‘/etc/systemd/system/mysqld.service’: File exists
    Last metadata expiration check performed 0:14:29 ago on Fri Jan 29 19:23:44 2016.
    No package epel-release available.
    Error: Unable to find a match.
    package http://rpms.remirepo.net/fedora/remi-release-23.rpm is not installed
    Last metadata expiration check performed 0:14:30 ago on Fri Jan 29 19:23:44 2016.
    Package remi-release-23-3.fc23.remi.noarch is already installed, skipping.
    Dependencies resolved.
    Nothing to do.
    Complete!
    Last metadata expiration check performed 0:14:32 ago on Fri Jan 29 19:23:44 2016.
    httpd-2.4.18-1.fc23.x86_64
    php-5.6.17-1.fc23.remi.x86_64
    php-cli-5.6.17-1.fc23.remi.x86_64
    php-common-5.6.17-1.fc23.remi.x86_64
    php-gd-5.6.17-1.fc23.remi.x86_64
    Last metadata expiration check performed 0:14:33 ago on Fri Jan 29 19:23:44 2016.
    Error: No matching Packages to list
    Last metadata expiration check performed 0:14:34 ago on Fri Jan 29 19:23:44 2016.
    Installed Packages
    mariadb.x86_64                     1:10.0.21-1.fc23                     @updates
    mariadb-10.0.21-1.fc23.x86_64
    Last metadata expiration check performed 0:14:35 ago on Fri Jan 29 19:23:44 2016.
    Error: No matching Packages to list
    Last metadata expiration check performed 0:14:36 ago on Fri Jan 29 19:23:44 2016.
    Installed Packages
    mariadb-server.x86_64                 1:10.0.21-1.fc23                  @updates
    mariadb-server-10.0.21-1.fc23.x86_64
    package dhcp is not installed
    Last metadata expiration check performed 0:14:37 ago on Fri Jan 29 19:23:44 2016.
    Package dhcp-compat-12:4.3.3-8.P1.fc23.x86_64 is already installed, skipping.
    Dependencies resolved.
    Nothing to do.
    Complete!
    tftp-server-5.2-16.fc23.x86_64
    nfs-utils-1.3.3-6.rc3.fc23.x86_64
    vsftpd-3.0.2-14.fc23.x86_64
    net-tools-2.0-0.35.20150915git.fc23.x86_64
    wget-1.17.1-1.fc23.x86_64
    xinetd-2.3.15-16.fc23.x86_64
    tar-1.28-6.fc23.x86_64
    gzip-1.6-9.fc23.x86_64
    make-4.0-5.1.fc23.x86_64
    m4-1.4.17-8.fc23.x86_64
    gcc-5.3.1-2.fc23.x86_64
    gcc-c++-5.3.1-2.fc23.x86_64
    lftp-4.6.1-6.fc23.x86_64
    php-mysqlnd-5.6.17-1.fc23.remi.x86_64
    curl-7.43.0-4.fc23.x86_64
    php-mcrypt-5.6.17-1.fc23.remi.x86_64
    php-mbstring-5.6.17-1.fc23.remi.x86_64
    mod_ssl-2.4.18-1.fc23.x86_64
    php-fpm-5.6.17-1.fc23.remi.x86_64
    php-process-5.6.17-1.fc23.remi.x86_64
    Last metadata expiration check performed 0:14:39 ago on Fri Jan 29 19:23:44 2016.
    Dependencies resolved.
    Nothing to do.
    Complete!
    httpd-2.4.18-1.fc23.x86_64
    php-5.6.17-1.fc23.remi.x86_64
    php-cli-5.6.17-1.fc23.remi.x86_64
    php-common-5.6.17-1.fc23.remi.x86_64
    php-gd-5.6.17-1.fc23.remi.x86_64
    mariadb-10.0.21-1.fc23.x86_64
    mariadb-server-10.0.21-1.fc23.x86_64
    package dhcp is not installed
    

  • Moderator

    @Tom-Elliott I installed in storage node mode at home last week and it worked - but I had to manually get the ftp credentials from the storage node’s .fogsettings file and then plug those into the main server.

    I don’t remember exactly what but I had to do some messing around to get replication to start - but I think it was minor and my fault concerning that. I haven’t tried it any more recently than mid-last week I think.


  • Senior Developer

    Any status on this?


  • Senior Developer

    @Wayne-Workman Please check the code now? I updated it to actually check the variables and return more appropriately.


  • Moderator

    @Sebastian-Roth it’s a check to make sure that $OSVersion contains an integer value. When you compare a variable that has non-integers with -eq, it fails and comes back with “Integer expression expected”.


  • Developer

    @Wayne-Workman I am not really sure what line 498 does? Can you explain?

    497:                    if [[ ! -z $OSVersion ]]; then
    498:                        if [ "$OSVersion" -eq "$OSVersion" ] >>$workingdir/error_logs/fog_error_${version}.log 2>&1; then
    499:                            if [[ $OSVersion -ge 22 ]]; then
    


  • @Wayne-Workman Yep seemed to work. Just finished installing/configuring. I’ll add this to the fog and see how it goes :)
    Thanks guys.


  • Moderator

    @RipAU It’s just now there. give it a try?



  • @Wayne-Workman Perfect, I’ll give it a shot when it pops into the SVN.

    Thanks again.


  • Moderator

    @RipAU @Developers I’ve created a fix for this, and requested it to be merged into fog. The pull request is here, you can see the differences there as well if you don’t want to wait. https://github.com/FOGProject/fogproject/pull/81



  • @Sebastian-Roth

    I checked my error logs and it lists the same:

    "Package dhcp-compat-12:4.3.2-7.fc22.x86_64 is already installed, skipping."
    

    But when going to remove It with dnf says I don’t have it installed.

    I’m not even sure why it is trying to install DHCP when I’m trying to set it up as a storage node?

    Cheers,


  • Moderator

    @Sebastian-Roth said:

    Does removing dhcp-compat before running the installer help?

    I’ll find out tonight.


  • Developer

    In the error.log it says:

    ...
    Package dhcp-compat-12:4.3.3-8.P1.fc23.x86_64 is already installed, skipping.
    ...
    

    According to this the package is only of temporary existence:

    This package only exists to help transition dhcp users to the new
    package split (dhcp -> dhcp & dhcrelay).
    It will be removed after one distribution release cycle, please
    do not reference it or depend on it in any way.

    Seams like this was introduced in Fedora 22. I am wondering why we didn’t hit this earlier?! Does removing dhcp-compat before running the installer help?



  • I’ve found I have the same issue when installing as a FOG Storage Node onto Fedora 22.

    Last message in the error log is “package dhcp is not installed”

    Cheers,


  • Moderator

    The remi repo also was not installed by the installer during the storage node installation.


  • Moderator

    Additionally, ./installfog.sh -X does not work in the storage node installation. when DHCP failed to be verified, the installer exited instead of continuing.


  • Moderator

    Also, when I try installing dhcp manually:

    [root@fog-node bin]# dnf install dhcp -y
    Last metadata expiration check performed 0:20:28 ago on Fri Jan 29 19:22:21 2016.
    Package dhcp-compat-12:4.3.3-8.P1.fc23.x86_64 is already installed, skipping.
    Dependencies resolved.
    Nothing to do.
    Complete!
    [root@fog-node bin]# ```

Log in to reply
 

951
Online

39.3k
Users

11.0k
Topics

104.6k
Posts

Looks like your connection to FOG Project was lost, please wait while we try to reconnect.